[CentOS-devel] Updates to drbd-related packages

Jerry Amundson jamundso at gmail.com
Thu Apr 8 18:27:34 UTC 2010


On 4/7/10, Jerry Amundson <jamundso at gmail.com> wrote:
> On Thu, Mar 18, 2010 at 5:31 PM, Ralph Angenendt
> <ralph.angenendt at gmail.com> wrote:
>> Am 12.03.10 16:33, schrieb Rainer Traut:
>>> Am 12.03.2010 14:29, schrieb Ralph Angenendt:
>>>> Would be nice if someone can poke me in IRC beginning of next week.
>>>
>>> I'd like to test them.
>>> I already made some 8.3.6 kmod rpms for our internal use based on your
>>> work.
>>
>> Hrm. Did I only answer Rainer?
>>
>> I tried to "just update" the RPMs which are already there, but it looks
>> like the build process has been changed.
>>
>> I have to take a deeper look into the 8.3.7 documentation, it's not just
>> replacing 8.3.1 sources with 8.3.7 sources.
>
> On my system with drbd83 and kmod-drbd83-xen already installed, I see this
> --
>
> [root at nexA yum.repos.d]# yum --enablerepo=c5-testing update \*drbd\*
> Loaded plugins: fastestmirror
> Loading mirror speeds from cached hostfile
>  * addons: mirror.sanctuaryhost.com
>  * base: mirror.ubiquityservers.com
>  * epel: ftp.osuosl.org
>  * extras: ftp.osuosl.org
>  * updates: mirror.ubiquityservers.com
> Setting up Update Process
> Resolving Dependencies
> --> Running transaction check
> ---> Package drbd.i386 0:8.0.16-4.el5.centos set to be updated
> --> Processing Dependency: drbd83 >= 8.3.7 for package: kmod-drbd83-xen
> --> Processing Dependency: drbd83 >= 8.3.2 for package: kmod-drbd83-xen
> --> Processing Dependency: drbd83 >= 8.3.2 for package: kmod-drbd83-xen
> ---> Package kmod-drbd83-xen.i686 0:8.3.7-2.el5.centos set to be installed
> --> Running transaction check
> ---> Package drbd83.i386 0:8.3.7-1.el5.centos set to be updated
> --> Processing Conflict: drbd83 conflicts drbd
> --> Finished Dependency Resolution
> drbd83-8.3.7-1.el5.centos.i386 from c5-testing has depsolving problems
>   --> drbd83 conflicts with drbd
> Error: drbd83 conflicts with drbd
>  You could try using --skip-broken to work around the problem
>  You could try running: package-cleanup --problems
>                         package-cleanup --dupes
>                         rpm -Va --nofiles --nodigest

FWIW,
I was able to install with,
yum --exclude=drbd --enablerepo=c5-testing update \*drbd\*

jerry


More information about the CentOS-devel mailing list